Page MenuHomePhabricator

Language converter problems after WMF software updating
Closed, ResolvedPublic

Description

On zhwiki:

  • Language converter doesn't work in talk namespaces at all. Not only article content, also action=edit etc.
  • Titles are not converted in all namespaces

Version: 1.17.x
Severity: critical

Details

Reference
bz23115

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:59 PM
bzimport set Reference to bz23115.
liangent created this task.Apr 9 2010, 3:20 PM

PhiLiP.NPC wrote:

I have fixed the talk namespaces' problem. apply on r64811(trunk), r64812(REL1_16) and r64813(1.16wmf4).

r61101 inadvertedly changed the convert rules. I have restored its behavior on r64814 (trunk) and r64815 (branches).

PhiLiP.NPC wrote:

Everything seems OK now. Since r64819, r64820, r64821.

Wait for a live fix on servers.

PhiLiP.NPC wrote:

The fix of bug 23124 (r64827) cause titles unconverted again.

PhiLiP.NPC wrote:

Fixed on r64851.

Doesn't look fixed to me.

kevinhksouth wrote:

Please note that language converter doesn't work in Speical:UserLogin as well. The URL is wrongly presented as "zh.wikipedia.org/w/index.php?title=Special:%E7%94%A8%E6%88%B7%E7%99%BB%E5%BD%95&returnto=Wikipedia:%E9%A6%96%E9%A1%B5&returntoquery=variant%3Dzh-hk" (the variable "variant" becomes invalid), while the correct one should be "zh.wikipedia.org/w/index.php?title=Special:%E7%94%A8%E6%88%B7%E7%99%BB%E5%BD%95&returnto=Wikipedia:%E9%A6%96%E9%A1%B5&variant=zh-hk" (the variable "variant" is valid and zh-hk is shown properly in this case).

Issues with r64851 were fixed in r64876. Marking fixed since the initial report is fixed, any remaining issues with the language converter should be reported separately.

Restricted Application added a subscriber: Cosine02. · View Herald TranscriptNov 24 2018, 8:42 AM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Nov 26 2018, 2:40 AM